Name:           libsigrok
Version:        r6097.f06f7881
Epoch:          100
Release:        nightly%{?dist}
Summary:        Basic hardware access drivers for logic analyzers
# Combined GPLv3+ and GPLv2+ and BSD
License:        GPLv3+
URL:            http://www.sigrok.org/

Source0:        %{name}-%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  bluez-libs-devel
BuildRequires:  check-devel
BuildRequires:  gcc-c++
BuildRequires:  doxygen
BuildRequires:  glib2-devel
BuildRequires:  glibmm24-devel
BuildRequires:  graphviz
BuildRequires:  hidapi-devel
BuildRequires:  libftdi-devel
BuildRequires:  libieee1284-devel
BuildRequires:  libserialport-devel
BuildRequires:  libtirpc-devel
BuildRequires:  libtool
BuildRequires:  libusb1-devel
BuildRequires:  libzip-devel
BuildRequires:  make
BuildRequires:  nettle-devel
BuildRequires:  zlib-devel

%description
%{name} is a shared library written in C which provides the basic API
for talking to hardware and reading/writing the acquired data into various
input/output file formats.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        cxx
Summary:        C++ bindings for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    cxx
The %{name}-cxx package contains C++ libraries for %{name}.


%package        cxx-devel
Summary:        Development files for  %{name} C++ bindings
Requires:       %{name}-cxx%{?_isa} = %{epoch}:%{version}-%{release}

%description    cxx-devel
The %{name}-cxx-devel package contains libraries and header files for
developing applications that use %{name} C++ bindings.


%package        doc
Summary:        API documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for developing software
with %{name}.


%prep
%autosetup


%build
./autogen.sh
# --disable-gpib: Fedora doesn't ship libgpib
# --disable-python: We don't package python bindings because they are a PITA
#                   for maintainers and are pretty horrible and useless anyway
# --disable-java: Be explicit rather than rely on missing java-devel
# --disable-ruby: Be explicit rather than rely on missing ruby-devel
%configure \
    --disable-static \
    --disable-gpib \
    --disable-python \
    --disable-java \
    --disable-ruby \
    CPPFLAGS=-I/usr/include/tirpc LDFLAGS=-ltirpc
%make_build

# Doxygen produces different output based on the build arch. This will make
# our builds fail since -doc is a noarch package.
echo "Documentation not packaged in this version" > README.fedora


%install
%make_install
# Install udev rules
install -D -p -m 0644 contrib/60-libsigrok.rules %{buildroot}%{_udevrulesdir}/60-libsigrok.rules
install -D -p -m 0644 contrib/61-libsigrok-uaccess.rules %{buildroot}%{_udevrulesdir}/61-libsigrok-uaccess.rules

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc NEWS README README.devices
%{_libdir}/libsigrok.so.*
%{_udevrulesdir}/60-libsigrok.rules
%{_udevrulesdir}/61-libsigrok-uaccess.rules

# TODO: What are we supposed to do with these icons and MIME types?
%exclude %{_datadir}/icons/hicolor/48x48/mimetypes/libsigrok.png
%exclude %{_datadir}/icons/hicolor/scalable/mimetypes/libsigrok.svg
%exclude %{_datadir}/mime/packages/vnd.sigrok.session.xml

%files devel
%{_includedir}/libsigrok/
%{_libdir}/libsigrok.so
%{_libdir}/pkgconfig/libsigrok.pc

%files cxx
%{_libdir}/libsigrokcxx.so.4*

%files cxx-devel
%{_includedir}/libsigrokcxx/
%{_libdir}/libsigrokcxx.so
%{_libdir}/pkgconfig/libsigrokcxx.pc

%files doc
%doc README.fedora


%changelog
* Tue Feb 16 2021 Aimylios <aimylios@xxx.xx>
- Remove obsolete Group tag
- Correctly package license and documentation
- Add new dependencies
- Remove obsolete ldconfig scriptlets
- Build with libtirpc to enable VXI (RHBZ #1724865)

* Sat Jun 8 2019 Aimylios <aimylios@xxx.xx>
- Add new dependencies

* Sun Aug 5 2018 Aimylios <aimylios@xxx.xx>
- Initial release based on 0.5.0-5.fc29
